# EzWeb Module

EzWeb is a collection of modules for handling web technologies:

- EzCSS: A module for managing CSS.
- EzHTML: A module for processing HTML.
- EzJS: A module for working with JavaScript.

Each module provides functionalities to simplify web development tasks.

## Installation

You can install EzWeb using pip:

```
pip install EzWeb
```

## Usage

### EzCSS

```python
from EzWeb import EzCSS

# Example usage
css_parser = EzCSS()
parsed_css = css_parser.parse('styles.css')
```

### EzHTML

```python
from EzWeb import EzHTML

# Example usage
html_converter = EzHTML()
converted_html = html_converter.ezhtml_to_html('$div[Hello, World!]')
```

### EzJS

```python
from EzWeb import EzJS

# Example usage
js_minifier = EzJS()
minified_js = js_minifier.minify('script.js')
```
```
For detailed documentation, refer to the specific module documentation.
```